Bug 991510 - MeasurementAggregate in remote API but is missing JavaDoc for inclusion in API docs
MeasurementAggregate in remote API but is missing JavaDoc for inclusion in AP...
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: CLI (Show other bugs)
JON 3.1.2
Unspecified Unspecified
unspecified Severity low
: ER05
: JON 3.3.0
Assigned To: Heiko W. Rupp
Garik Khachikyan
Jared MORGAN
:
Depends On: 880359
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-02 11:35 EDT by Larry O'Leary
Modified: 2015-08-09 21:23 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-11 09:03:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Larry O'Leary 2013-08-02 11:35:57 EDT
Description of problem:
org.rhq.core.domain.measurement.MeasurementAggregate is referenced and exposed in the remote API but contains no javadoc comments or annotations. The result is that it is missing from the API documentation.

Version-Release number of selected component (if applicable):
4.4.0.JON312GA

See https://git.fedorahosted.org/cgit/rhq/rhq.git/tree/modules/core/domain/src/main/java/org/rhq/core/domain/measurement/MeasurementAggregate.java
Comment 1 Jay Shaughnessy 2014-09-03 16:54:47 EDT
I agree it has minimal jdoc but it's very straightforward.  The lack of jdoc should not omit it from the Javadoc.  We need to generate the 3.3 javadoc and see if it shows up. Setting blocked by Bug 880359, which is about generating the Javadoc.
Comment 2 Simeon Pinder 2014-09-29 04:12:26 EDT
Moving into ER05 as didn't make the ER04 cut.
Comment 3 Heiko W. Rupp 2014-10-13 06:59:30 EDT
master ea7d2356 adds javadoc.
Comment 4 Heiko W. Rupp 2014-10-13 07:17:41 EDT
release branch cec5c09f511
Comment 8 Simeon Pinder 2014-10-21 16:23:59 EDT
Moving to ON_QA as available to test with the latest brew build:
https://brewweb.devel.redhat.com//buildinfo?buildID=394734
Comment 10 Garik Khachikyan 2014-10-29 11:46:44 EDT
# VERIFIED

doing: `javadoc -sourcepath `pwd` -d `pwd`/javadoc org.rhq.core.domain.measurement` in /home/hudson/current-jon/modules/org/rhq/server-startup/main/deployments/rhq.ear/rhq-core-domain-ejb3.jar makes the javadoc tree and it contains info about: MeasurementAggregate class.

version: JON 3.3 ER05

Note You need to log in before you can comment on or make changes to this bug.